$newline never

$# SPDX-FileCopyrightText: 2022 Steffen Jost <jost@tcs.ifi.lmu.de>
$#
$# SPDX-License-Identifier: AGPL-3.0-or-later

<section>
  ^{lmsTable}

$maybe btnForm <- mbBtnForm
  <section>
    <h3>
      Starting and cleaning e‑learning
    <p>
      The following functions should be executed at least once per day, #
      but a repeated execution is harmless. #
      
      The first function notifies holders of expiring licences and #
      enlists them for e‑learning, if appropriate for the respective qualification. #
      
      The second function notifies holders of already expired licences and #
      cleans finished e‑learnings after their respective rentention periods. #

      Note that these functions do not trigger an AVS-synchronisation. #

    <p>
      <h4>
        Automatic execution
      
      <dl .deflist>
        <dt .deflist_dt>
          Start e‑learning: #
        <dd .deflist_dd>
          &nbsp;
          $maybe hour <- mbJLQenqueue
            every weekday shortly after #
            <b>
              #{hour} o'clock
          $nothing
            <em>
              no automatic execution
        <dt .deflist_dt>
          Block/Clean: #
        <dd .deflist_dd>
          &nbsp;
          $maybe hour <- mbJLQdequeue
            every weekday shortly after #
            <b>
              #{hour} o'clock
          $nothing
            <em>
              no automatic execution
    <p> 
      <h4>
       Manual execution

      ^{btnForm}